edu.isi.ikcap.workflows.util.logging

## Class LogEvent

- java.lang.Object
- - edu.isi.ikcap.workflows.util.logging.LogEvent

All Implemented Interfaces:
  LoggingKeys

    public class LogEvent
    extends java.lang.Object
    implements LoggingKeys

### Field Summary

Fields
`private static boolean` `_ADD_BLOAT` The variable that triggers generation of message id and the event id in the messages.
`private java.util.Map<java.lang.String,java.lang.String>` `_entityIdMap`
`private java.lang.String` `_eventId`
`private java.lang.String` `_eventName`
`private java.lang.String` `_progName`
`private static java.lang.String` `END_POSTFIX`
`private static java.lang.String` `START_POSTFIX`

### Fields inherited from interface edu.isi.ikcap.workflows.util.logging.LoggingKeys

`CATALOG_URL, CONFIGURED_TEMPLATES_Q, DAG_ID, DATA_CHARACTERIZATION_PROGRAM, DAX_ID, DOMAIN, EVENT_DC_ADD_DATASOURCE_LOCATION, EVENT_DC_AUGMENT_DATASOURCE, EVENT_DC_CHARACTERIZE, EVENT_DC_CHARACTERIZE_STATUS, EVENT_DC_CHARACTERIZE_STATUSES, EVENT_DC_DATASOURCE_EXISTS, EVENT_DC_DISSEMINATE_DATASOURCE, EVENT_DC_GET_ALL_DATASOURCES, EVENT_DC_GET_ALL_METRICS, EVENT_DC_GET_AUGMENTED_TYPES, EVENT_DC_GET_DATASOURCE, EVENT_DC_GET_DATASOURCE_DESCRIPTION_FOR_UUID, EVENT_DC_GET_DATASOURCE_LOCATIONS, EVENT_DC_GET_DATASOURCE_UUID_FOR_DESCRIPTION, EVENT_DC_GET_DATASOURCES, EVENT_DC_GET_DMO_METRICS, EVENT_DC_GET_INGEST_STATUS, EVENT_DC_GET_INGEST_TIME, EVENT_DC_GET_SATURATED_TYPES, EVENT_DC_GET_UNCHARACTERIZED_DATASOURCES, EVENT_DC_INGEST_DATASOURCE, EVENT_DC_REGISTER_DATASOURCE, EVENT_DC_REMOVE_DATASOURCE, EVENT_DC_REMOVE_DATASOURCE_LOCATION, EVENT_DC_RICH_CHARACTERIZE, EVENT_DC_SATURATE_DATASOURCE, EVENT_DC_SET_DATASOURCE_DESCRIPTION_FOR_UUID, EVENT_DC_UPDATE_INGEST_MAP, EVENT_ID_KEY, EVENT_INFER_TEMPLATE, EVENT_PEGASUS_ADDCLEANUP, EVENT_PEGASUS_ADDDATASTAGING, EVENT_PEGASUS_ADDREGISTRATION, EVENT_PEGASUS_CLUSTER, EVENT_PEGASUS_GENERATECLEANUP, EVENT_PEGASUS_PLAN, EVENT_PEGASUS_REDUCE, EVENT_PEGASUS_SITESELECTION, EVENT_QUERY_DATACATALOG, EVENT_QUERY_PROCESSCATALOG, EVENT_RANKING, EVENT_WG, EVENT_WG_BACKWARD_SWEEP, EVENT_WG_CONFIGURE, EVENT_WG_DATA_SELECTION, EVENT_WG_FETCH_METRICS, EVENT_WG_FORWARD_SWEEP, EVENT_WG_GET_CANDIDATE_SEEDS, EVENT_WG_GET_DAX, EVENT_WG_INITIALIZE_DC, EVENT_WG_INITIALIZE_PC, EVENT_WG_LOAD_SEED, EVENT_WG_SPECIALIZE, FILE_OUTPUT_CONTENTS, FILE_OUTPUT_NAME, FILE_PRIORTY, FILE_TYPE, JOB_ARGUMENTS, JOB_ENVIRONMENTVARIABLE, JOB_EXITCODE, JOB_ID, JOB_INPUTS, JOB_NUMBER, JOB_OUTPUTS, JOB_RESOURCE_INFORMATION, MSG, MSG_ID, NO_MATCH, ONTOLOGY_LOCATION, PERFMETRIC_CPU_UTILIZATION, PERFMETRIC_MEMORY_UTILIZATION, PERFMETRIC_NETWORK_BANDWIDTH, PERFMETRIC_TIME_DURATION, PORTFOLIO_ID, PROG, PROG_SETUP, QUERY_ARGUMENTS, QUERY_ID, QUERY_INPUT, QUERY_NAME, QUERY_NUMBER, QUERY_OUTPUT, QUERY_RESPONSE, QUEUED_TEMPLATES, REQUEST_ID, SEED, SEED_ID, SEED_NAME, SPECIALIZED_TEMPLATES_Q, SYSTEM_ARCHITECTURE, SYSTEM_HOSTADDR, SYSTEM_HOSTNAME, SYSTEM_NODENAME, SYSTEM_NUMBEROFPROCESSORS, SYSTEM_OS, TEMPLATE, TEMPLATE_ID, TIME_END, TIME_START`

### Constructor Summary

Constructors
Constructor and Description
`LogEvent(java.lang.String eventName, java.lang.String programName)`
`LogEvent(java.lang.String eventName, java.lang.String programName, java.util.Map<java.lang.String,java.lang.String> entityTypeToIdMap)`
`LogEvent(java.lang.String eventName, java.lang.String programName, java.lang.String entityType, java.lang.String entityId)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`EventLogMessage` `createEndLogMsg()`
`static EventLogMessage` `createIdHierarchyLogMsg(java.lang.String parentIdType, java.lang.String parentId, java.lang.String childIdType, java.util.Iterator<java.lang.String> childIds)`
`EventLogMessage` `createLogMsg()`
`EventLogMessage` `createStartLogMsg()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### START_POSTFIX

    private static java.lang.String START_POSTFIX

#### END_POSTFIX

    private static java.lang.String END_POSTFIX

#### _ADD_BLOAT

    private static boolean _ADD_BLOAT

The variable that triggers generation of message id and the event id in the messages.

#### _eventName

    private java.lang.String _eventName

#### _progName

    private java.lang.String _progName

#### _entityIdMap

    private java.util.Map<java.lang.String,java.lang.String> _entityIdMap

#### _eventId

    private java.lang.String _eventId

### Constructor Detail

#### LogEvent

    public LogEvent(java.lang.String eventName,
                    java.lang.String programName,
                    java.lang.String entityType,
                    java.lang.String entityId)

#### LogEvent

    public LogEvent(java.lang.String eventName,
                    java.lang.String programName,
                    java.util.Map<java.lang.String,java.lang.String> entityTypeToIdMap)

#### LogEvent

    public LogEvent(java.lang.String eventName,
                    java.lang.String programName)

### Method Detail

#### createStartLogMsg

    public EventLogMessage createStartLogMsg()

#### createLogMsg

    public EventLogMessage createLogMsg()

#### createEndLogMsg

    public EventLogMessage createEndLogMsg()

#### createIdHierarchyLogMsg

    public static EventLogMessage createIdHierarchyLogMsg(java.lang.String parentIdType,
                                                          java.lang.String parentId,
                                                          java.lang.String childIdType,
                                                          java.util.Iterator<java.lang.String> childIds)